Skip to main content
GET
/
v1
/
subscriptions
List auto-delivery subscriptions
curl --request GET \
  --url https://api.webhook.co/v1/subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sourceEndpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "destinationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "provider": "<string>",
      "eventTypes": [
        "<string>"
      ],
      "requireVerified": true,
      "enabled": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

A whk_-prefixed API key (opaque; not a JWT).

Query Parameters

sourceEndpointId
string<uuid>

Filter by source endpoint (empty = no filter).

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

Success.

items
object[]
required